Package ghidra.sleigh.grammar

# Class BooleanExpressionLexer

java.lang.Object
org.antlr.runtime.BaseRecognizer
org.antlr.runtime.Lexer
ghidra.sleigh.grammar.BooleanExpressionLexer

All Implemented Interfaces:
  `org.antlr.runtime.TokenSource`

public class BooleanExpressionLexer extends org.antlr.runtime.Lexer

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ALPHA`
  `static final int`
  `DIGIT`
  `static final int`
  `EOF`
  `static final int`
  `ESCAPE`
  `static final int`
  `HEXDIGIT`
  `static final int`
  `IDENTIFIER`
  `static final int`
  `KEY_DEFINED`
  `static final int`
  `OCTAL_ESCAPE`
  `static final int`
  `OP_AND`
  `static final int`
  `OP_EQ`
  `static final int`
  `OP_NEQ`
  `static final int`
  `OP_NOT`
  `static final int`
  `OP_OR`
  `static final int`
  `OP_XOR`
  `static final int`
  `QSTRING`
  `static final int`
  `T__20`
  `static final int`
  `T__21`
  `static final int`
  `UNICODE_ESCAPE`
  `static final int`
  `WS`

  ### Fields inherited from class org.antlr.runtime.Lexer

  `input`

  ### Fields inherited from class org.antlr.runtime.BaseRecognizer

  `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BooleanExpressionLexer()`
  `BooleanExpressionLexer(org.antlr.runtime.CharStream input)`
  `BooleanExpressionLexer(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.antlr.runtime.Lexer[]`
  `getDelegates()`
  `String`
  `getGrammarFileName()`
  `final void`
  `mALPHA()`
  `final void`
  `mDIGIT()`
  `final void`
  `mESCAPE()`
  `final void`
  `mHEXDIGIT()`
  `final void`
  `mIDENTIFIER()`
  `final void`
  `mKEY_DEFINED()`
  `final void`
  `mOCTAL_ESCAPE()`
  `final void`
  `mOP_AND()`
  `final void`
  `mOP_EQ()`
  `final void`
  `mOP_NEQ()`
  `final void`
  `mOP_NOT()`
  `final void`
  `mOP_OR()`
  `final void`
  `mOP_XOR()`
  `final void`
  `mQSTRING()`
  `final void`
  `mT__20()`
  `final void`
  `mT__21()`
  `void`
  `mTokens()`
  `final void`
  `mUNICODE_ESCAPE()`
  `final void`
  `mWS()`

  ### Methods inherited from class org.antlr.runtime.Lexer

  `emit, emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getCharStream, getEOFToken, getErrorMessage, getLine, getSourceName, getText, match, match, matchAny, matchRange, nextToken, recover, reportError, reset, setCharStream, setText, skip, traceIn, traceOut`

  ### Methods inherited from class org.antlr.runtime.BaseRecognizer

  `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, emitErrorMessage, endResync, failed, getBacktrackingLevel, getCurrentInputSymbol, getErrorHeader, getMissingSymbol, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, setBacktrackingLevel, toStrings, traceIn, traceOut`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EOF

    public static final int EOF
    See Also:
      - Constant Field Values

  - ### T__20

    public static final int T__20
    See Also:
      - Constant Field Values

  - ### T__21

    public static final int T__21
    See Also:
      - Constant Field Values

  - ### ALPHA

    public static final int ALPHA
    See Also:
      - Constant Field Values

  - ### DIGIT

    public static final int DIGIT
    See Also:
      - Constant Field Values

  - ### ESCAPE

    public static final int ESCAPE
    See Also:
      - Constant Field Values

  - ### HEXDIGIT

    public static final int HEXDIGIT
    See Also:
      - Constant Field Values

  - ### IDENTIFIER

    public static final int IDENTIFIER
    See Also:
      - Constant Field Values

  - ### KEY_DEFINED

    public static final int KEY_DEFINED
    See Also:
      - Constant Field Values

  - ### OCTAL_ESCAPE

    public static final int OCTAL_ESCAPE
    See Also:
      - Constant Field Values

  - ### OP_AND

    public static final int OP_AND
    See Also:
      - Constant Field Values

  - ### OP_EQ

    public static final int OP_EQ
    See Also:
      - Constant Field Values

  - ### OP_NEQ

    public static final int OP_NEQ
    See Also:
      - Constant Field Values

  - ### OP_NOT

    public static final int OP_NOT
    See Also:
      - Constant Field Values

  - ### OP_OR

    public static final int OP_OR
    See Also:
      - Constant Field Values

  - ### OP_XOR

    public static final int OP_XOR
    See Also:
      - Constant Field Values

  - ### QSTRING

    public static final int QSTRING
    See Also:
      - Constant Field Values

  - ### UNICODE_ESCAPE

    public static final int UNICODE_ESCAPE
    See Also:
      - Constant Field Values

  - ### WS

    public static final int WS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BooleanExpressionLexer

    public BooleanExpressionLexer()

  - ### BooleanExpressionLexer

    public BooleanExpressionLexer(org.antlr.runtime.CharStream input)

  - ### BooleanExpressionLexer

    public BooleanExpressionLexer(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)

- ## Method Details

  - ### getDelegates

    public org.antlr.runtime.Lexer[] getDelegates()

  - ### getGrammarFileName

    public String getGrammarFileName()
    Overrides:
      `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

  - ### mKEY_DEFINED

    public final void mKEY_DEFINED() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mOP_AND

    public final void mOP_AND() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mOP_EQ

    public final void mOP_EQ() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mOP_NEQ

    public final void mOP_NEQ() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mOP_NOT

    public final void mOP_NOT() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mOP_OR

    public final void mOP_OR() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mOP_XOR

    public final void mOP_XOR() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mT__20

    public final void mT__20() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mT__21

    public final void mT__21() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mIDENTIFIER

    public final void mIDENTIFIER() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mQSTRING

    public final void mQSTRING() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mESCAPE

    public final void mESCAPE() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mOCTAL_ESCAPE

    public final void mOCTAL_ESCAPE() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mUNICODE_ESCAPE

    public final void mUNICODE_ESCAPE() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mHEXDIGIT

    public final void mHEXDIGIT() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mDIGIT

    public final void mDIGIT() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mALPHA

    public final void mALPHA() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mWS

    public final void mWS() throws org.antlr.runtime.RecognitionException
    Throws:
      `org.antlr.runtime.RecognitionException`

  - ### mTokens

    public void mTokens() throws org.antlr.runtime.RecognitionException
    Specified by:
      `mTokens` in class `org.antlr.runtime.Lexer`
    Throws:
      `org.antlr.runtime.RecognitionException`